/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.wicket.request.cycle;

import org.apache.wicket.request.IRequestHandler;
import org.apache.wicket.request.Url;

/**
 * Empty implementation of an {@link IRequestCycleListener} useful as a starting point for your own
 * custom listener.
 *
 * @deprecated This class will be removed in Wicket 9.0.0. Use {@link IRequestCycleListener} instead.
 */
@Deprecated
public abstract class AbstractRequestCycleListener implements IRequestCycleListener
{
	@Override
	public void onBeginRequest(RequestCycle cycle)
	{
	}

	@Override
	public void onEndRequest(RequestCycle cycle)
	{
	}

	@Override
	public void onDetach(RequestCycle cycle)
	{
	}

	@Override
	public void onRequestHandlerScheduled(RequestCycle cycle, IRequestHandler handler)
	{
	}

	@Override
	public void onRequestHandlerResolved(RequestCycle cycle, IRequestHandler handler)
	{
	}

	@Override
	public IRequestHandler onException(RequestCycle cycle, Exception ex)
	{
		return null;
	}

	@Override
	public void onExceptionRequestHandlerResolved(RequestCycle cycle, IRequestHandler handler,
		Exception exception)
	{
	}

	@Override
	public void onRequestHandlerExecuted(RequestCycle cycle, IRequestHandler handler)
	{
	}

	@Override
	public void onUrlMapped(RequestCycle cycle, IRequestHandler handler, Url url)
	{
	}
}
